package com.gliacloud.gliaplayer;

import android.content.Context;

import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class GliaPlayerViewFactory extends PlatformViewFactory {
    private final PluginRegistry.Registrar _registrar;

    public GliaPlayerViewFactory(PluginRegistry.Registrar registrar) {
        super(StandardMessageCodec.INSTANCE);
        _registrar = registrar;
    }

    @Override
    public PlatformView create(Context context, int id, Object o) {
        return new GliaPlayerView(context, _registrar);
    }
}
